sorting should disregard blank fields

2010-08-04 20:51 - Josh Sharpe

Status: New Start date: 2010-08-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When sorting something in ascending order all the issues that have a blank value for this field are first in the list.

Instead, anything that does not have a value should be pushed to the end of the list.  They are essentially undefined.

If I'm sorting a list of 300 isses by version number, I'm not asking to see the blank ones first -- I'm asking to see the lowest version

number first.

Related issues:

Related to Redmine - Patch #25066: Sort order with null placement (NULLS FIRS... New

Has duplicate Redmine - Feature #3467: Due date sort order should sort issues... Closed 2009-06-09

Has duplicate Redmine - Feature #24529: change sort order for due date column... Closed

History

#1 - 2012-02-28 00:14 - Yoann Maheo

Do you have update about this issue ?

It's a very disturbing issue, because for example, if you sort by Due Date or Start Date, empty issue appear first, and after that, late (and urgent)

tasks.

Issue with empty date must appear at the end (far in the futur), and not far in past.

If they don't have any date, that's propably because they are not urgent at all ...

#2 - 2016-03-28 14:00 - Go MAEDA

- Has duplicate Feature #3467: Due date sort order should sort issues with no due date to the end of the list added

#3 - 2017-01-04 02:16 - Go MAEDA

- Has duplicate Feature #24529: change sort order for due date column on "Issues assigned" page added

#4 - 2017-01-04 02:18 - Go MAEDA

- Category changed from Issues to Issues list

#5 - 2017-02-05 15:30 - Jesús M. Navarro

See #24529 and RE: How to change sort order for due date column on "Issu... for a somehow more detailed rationale.

#6 - 2017-02-15 15:05 - Go MAEDA

- Related to Patch #25066: Sort order with null placement (NULLS FIRST, NULLS LAST) added
